Skip to main content
POST
/
ssh-keys
Upload SSH key
curl --request POST \
  --url https://api.nova-cloud.ai/ssh-keys \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "ssh_public_key": "<string>",
  "label": "Default SSH Key"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "label": "<string>",
  "key_type": "ssh-ed25519",
  "fingerprint": "SHA256:abc123...",
  "created_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Use a JWT access token or API key (prefixed with nv_)

Body

application/json
ssh_public_key
string
required

SSH public key (e.g., ssh-ed25519 AAAA... or ssh-rsa AAAA...)

Maximum string length: 16000
label
string
default:Default SSH Key

Label for the key (e.g., 'Work Laptop')

Maximum string length: 100

Response

SSH key uploaded

id
string<uuid>
label
string
key_type
string
Example:

"ssh-ed25519"

fingerprint
string
Example:

"SHA256:abc123..."

created_at
string<date-time>